
From: "Art Haas" <ahaas@airmail.net>

This patch converts the file to use C99 initializers.  The file had this
patch applied before, but a subsequent patch reversed the change and
readded the GNU-style initializer.  This patch brings back the C99 one.


---

 fs/afs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/afs/inode.c~afs-c99-fix fs/afs/inode.c
--- 25/fs/afs/inode.c~afs-c99-fix	2004-02-25 11:59:24.000000000 -0800
+++ 25-akpm/fs/afs/inode.c	2004-02-25 11:59:24.000000000 -0800
@@ -147,7 +147,7 @@ static int afs_iget5_set(struct inode *i
 inline int afs_iget(struct super_block *sb, struct afs_fid *fid,
 		    struct inode **_inode)
 {
-	struct afs_iget_data data = { fid: *fid };
+	struct afs_iget_data data = { .fid = *fid };
 	struct afs_super_info *as;
 	struct afs_vnode *vnode;
 	struct inode *inode;

_
